com.holonplatform.vaadin.spring.internal

## Class DefaultSpringViewNavigator.SpringViewNavigatorBuilder

- java.lang.Object
- - com.holonplatform.vaadin.navigator.internal.AbstractNavigatorBuilder<SpringViewNavigator.Builder,DefaultSpringViewNavigator>
  - - com.holonplatform.vaadin.spring.internal.DefaultSpringViewNavigator.SpringViewNavigatorBuilder

- All Implemented Interfaces:
    ViewNavigator.NavigatorBuilder<SpringViewNavigator.Builder>, SpringViewNavigator.Builder
  Enclosing class:
    DefaultSpringViewNavigator

      public static class DefaultSpringViewNavigator.SpringViewNavigatorBuilder
      extends AbstractNavigatorBuilder<SpringViewNavigator.Builder,DefaultSpringViewNavigator>
      implements SpringViewNavigator.Builder

  Builder to create `SpringViewNavigator` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringViewNavigatorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpringViewNavigator.Builder` | `accessDeniedView(Class<? extends com.vaadin.navigator.View> viewClass)` Registers a view class for the view to show when a `ViewAccessControl` or a `ViewInstanceAccessControl` denies access to a view.
    `SpringViewNavigator` | `build()` Build the navigator instance
    `DefaultSpringViewNavigator` | `buildInternal()` Builder method for internal use
    `SpringViewNavigator.Builder` | `errorView(Class<? extends com.vaadin.navigator.View> viewClass)` Registers a view class for the view to show when no other view matches the navigation state.

    - ### Methods inherited from class com.holonplatform.vaadin.navigator.internal.AbstractNavigatorBuilder

      `addProvider, authenticationEnabled, defaultViewName, defaultViewNavigationStrategy, defaultViewWindowConfigurator, errorView, errorViewProvider, maxNavigationHistorySize, navigateToDefaultViewWhenViewNotAvailable, viewClassProvider, withViewChangeListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin.navigator.ViewNavigator.NavigatorBuilder

      `addProvider, authenticationEnabled, defaultViewName, defaultViewNavigationStrategy, defaultViewWindowConfigurator, errorView, errorViewProvider, maxNavigationHistorySize, navigateToDefaultViewWhenViewNotAvailable, viewClassProvider, withViewChangeListener`

- - ### Constructor Detail

    - #### SpringViewNavigatorBuilder

          public SpringViewNavigatorBuilder()

  - ### Method Detail

    - #### errorView

          public SpringViewNavigator.Builder errorView(Class<? extends com.vaadin.navigator.View> viewClass)

      Description copied from interface: `SpringViewNavigator.Builder`
      Registers a view class for the view to show when no other view matches the navigation state.

      A bean of the given type is fetched on demand from the application context to be used as the error view. As a fallback mechanism for backwards compatibility, `Class.newInstance()` is used if no such bean is found.

      Note that an error view bean must be UI or prototype scoped.

      Specified by:
        `errorView` in interface `SpringViewNavigator.Builder`
      Parameters:
        `viewClass` - The View class whose instance should be used as the error view
      Returns:
        this

    - #### accessDeniedView

          public SpringViewNavigator.Builder accessDeniedView(Class<? extends com.vaadin.navigator.View> viewClass)

      Description copied from interface: `SpringViewNavigator.Builder`
      Registers a view class for the view to show when a `ViewAccessControl` or a `ViewInstanceAccessControl` denies access to a view.

      A bean of the given type is fetched on demand from the application context to be used as the access denied view. As a fallback mechanism for backwards compatibility, `Class.newInstance()` is used if no such bean is found.

      Note that an access denied view bean must be UI or prototype scoped.

      Specified by:
        `accessDeniedView` in interface `SpringViewNavigator.Builder`
      Parameters:
        `viewClass` - The View class whose instance should be used as the access denied view
      Returns:
        this

    - #### build

          public SpringViewNavigator build()

      Description copied from interface: `SpringViewNavigator.Builder`
      Build the navigator instance
      Specified by:
        `build` in interface `SpringViewNavigator.Builder`
      Returns:
        SpringViewNavigator instance

    - #### buildInternal

          public DefaultSpringViewNavigator buildInternal()

      Builder method for internal use
      Returns:
        DefaultSpringViewNavigator instance

Copyright © 2019 The Holon Platform. All rights reserved.